%define upstream_name    App-Options
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Combine cmdline opts, env vars, config files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sys::Hostname)
BuildArch: noarch

%description
App::Options combines command-line arguments, environment variables, option
files, and program defaults to produce a hash of option values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc TODO README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/prefix
/usr/bin/prefixadmin



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-3.mga3
+ Revision: 363079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 1.120.0-2.mga3
+ Revision: 252258
- License validity
- imported package perl-App-Options

